import sys, os

#
# Data
#

# Constants
numNodes = 10000

# Variables
vfs = [0.005, 0.01, 0.05, 0.07, 0.1]
ns = [4,6,8,14]
rates = [1000]

numRuns = 3
radius = 1.0

# Loop over variables (including numRuns)
for rate in rates:

	for s in ns:

		for vf in vfs:

			for nr in range(numRuns):
				iFname = "../input/N%dSites%02dRadius%05.2fRate%5.2fvf%0.4fKineticsRun%d.xml" % (numNodes, s, radius, rate, vf, nr)
				oFname = "../output/N%dSites%02dRadius%05.2fRate%5.2fvf%0.4fKineticsRun%d.out" % (numNodes, s, radius, rate, vf, nr)
				sFname = "../input/N%dSites%02dRadius%05.2fRate%5.2fvf%0.4fKineticsRun%d.sh" % (numNodes, s, radius, rate, vf, nr)

				with open(sFname, "w") as fout:
	
					fout.write("#$ -cwd -V\n")
					fout.write("#$ -l h_rt=48:00:00\n")
					fout.write("#$ -pe smp 6\n")
					fout.write("module load BioNet/alpha\n")
					fout.write("module load tinyxml2/current\n")
					fout.write("module load boost/1.67.0\n")
					fout.write("module load eigen/3.3.7\n\n")
					fout.write("BioNetOMP-Sim -i " + iFname + " -o " + oFname)
					fout.write(" -t Brownian --no-vdw --kinetics -l --verbose\n")
